import React from 'react';
import { render } from '@testing-library/react-native';
import JokeHomeSquare from './JokeHomeSquare';
import { SampleJoke } from '../model/SampleJoke';
import { CustomJoke } from '../model/CustomJoke';
import {describe, expect, it} from "@jest/globals";

const sampleJoke = new SampleJoke(1, 'Type', 'Setup', 'Image', 'Punchline');
const customJoke = new CustomJoke('ID', 'Type', 'Setup', 'Image', 'Punchline');

describe('JokeHomeSquare Component', () => {
    it('renders correctly with SampleJoke', () => {
        const { getByText, getByTestId } = render(<JokeHomeSquare joke={sampleJoke} />);

        expect(getByTestId('topBackground')).toBeTruthy();
        expect(getByTestId('bottomBackground')).toBeTruthy();
        expect(getByTestId('jokeImage')).toBeTruthy();
        expect(getByText('Résumé de la blague')).toBeTruthy();
        expect(getByText('Type, Punchline')).toBeTruthy();
    });

    it('renders correctly with CustomJoke', () => {
        const { getByText, getByTestId } = render(<JokeHomeSquare joke={customJoke} />);

        expect(getByTestId('topBackground')).toBeTruthy();
        expect(getByTestId('bottomBackground')).toBeTruthy();
        expect(getByTestId('jokeImage')).toBeTruthy();
        expect(getByText('Résumé de la blague')).toBeTruthy();
        expect(getByText('Type, Punchline')).toBeTruthy();
    });
});
