import React from 'react';
import { render } from '@testing-library/react-native';
import JokeItem from './JokeItem';
import { SampleJoke } from '../model/SampleJoke';
import { CustomJoke } from '../model/CustomJoke';
import {describe, expect, it} from "@jest/globals";

const sampleJoke = new SampleJoke(1, 'Type', 'Setup', 'Image', 'Punchline');
const customJoke = new CustomJoke('ID', 'Type', 'Setup', 'Image', 'Punchline');

describe('JokeItem Component', () => {
    it('renders correctly with SampleJoke', () => {
        const { getByText, getByTestId } = render(<JokeItem joke={sampleJoke} />);

        expect(getByTestId('color')).toBeTruthy();
        expect(getByTestId('jokeImage')).toBeTruthy();
        expect(getByText('Résumé de la blague')).toBeTruthy();
        expect(getByText('Type, Punchline')).toBeTruthy();
        expect(getByText('Type')).toBeTruthy();
    });

    it('renders correctly with CustomJoke', () => {
        const { getByText, getByTestId } = render(<JokeItem joke={customJoke} />);

        expect(getByTestId('color')).toBeTruthy();
        expect(getByTestId('jokeImage')).toBeTruthy();
        expect(getByText('Résumé de la blague')).toBeTruthy();
        expect(getByText('Type, Punchline')).toBeTruthy();
        expect(getByText('Type')).toBeTruthy();
    });
});
