import React from 'react';
import { render } from '@testing-library/react-native';
import JokesHomeSquare from './JokesHomeSquare';
import { SampleJoke } from '../model/SampleJoke';
import { CustomJoke } from '../model/CustomJoke';
import {describe, expect, it} from "@jest/globals";

const sampleJokes = [
    new SampleJoke(1, 'Type1', 'Setup1', 'Image1', 'Punchline1'),
    new SampleJoke(2, 'Type2', 'Setup2', 'Image2', 'Punchline2'),
];
const customJokes = [
    new CustomJoke('ID1', 'Type1', 'Setup1', 'Image1', 'Punchline1'),
    new CustomJoke('ID2', 'Type2', 'Setup2', 'Image2', 'Punchline2'),
];

describe('JokesHomeSquare Component', () => {
    it('renders correctly with SampleJokes', () => {
        const { getAllByTestId } = render(<JokesHomeSquare jokes={sampleJokes} />);

        expect(getAllByTestId('jokeHomeSquare')).toHaveLength(sampleJokes.length);
    });

    it('renders correctly with CustomJokes', () => {
        const { getAllByTestId } = render(<JokesHomeSquare jokes={customJokes} />);

        expect(getAllByTestId('jokeHomeSquare')).toHaveLength(customJokes.length);
    });
});
