import { SampleJoke } from './SampleJoke';
import {describe, expect, it} from "@jest/globals";

describe('SampleJoke', () => {
    it('should create a SampleJoke instance with provided values', () => {
        const id = 1;
        const type = 'Type';
        const setup = 'Setup';
        const image = 'Image';
        const punchline = 'Punchline';

        const sampleJoke = new SampleJoke(id, type, setup, image, punchline);

        expect(sampleJoke).toBeInstanceOf(SampleJoke);
        expect(sampleJoke.id).toBe(id);
        expect(sampleJoke.type).toBe(type);
        expect(sampleJoke.setup).toBe(setup);
        expect(sampleJoke.image).toBe(image);
        expect(sampleJoke.punchline).toBe(punchline);
    });

    it('should create a SampleJoke instance with default punchline if not provided', () => {
        const id = 1;
        const type = 'Type';
        const setup = 'Setup';
        const image = 'Image';

        const sampleJoke = new SampleJoke(id, type, setup, image);

        expect(sampleJoke).toBeInstanceOf(SampleJoke);
        expect(sampleJoke.id).toBe(id);
        expect(sampleJoke.type).toBe(type);
        expect(sampleJoke.setup).toBe(setup);
        expect(sampleJoke.image).toBe(image);
        expect(sampleJoke.punchline).toBe('');
    });

    it('should correctly modify the id', () => {
        const sampleJoke = new SampleJoke(1, 'Type', 'Setup', 'Image');

        expect(sampleJoke.id).toBe(1);

        sampleJoke.id = 2;

        expect(sampleJoke.id).toBe(2);
    });
});
