import React from 'react';
import { render } from '@testing-library/react-native';
import NavigationBar from './NavigationBar';
import {describe, expect, it} from "@jest/globals";

describe('<NavigationBar />', () => {
    it('renders correctly', () => {
        const { getByText, getByA11yLabel } = render(<NavigationBar />);

        expect(getByText('Accueil')).toBeTruthy();
        expect(getByText('Catalogue')).toBeTruthy();
        expect(getByText("Ajout d'une blague")).toBeTruthy();
        expect(getByText('Favoris')).toBeTruthy();
        expect(getByText('Parametres')).toBeTruthy();

        expect(getByA11yLabel('Accueil icon')).toBeTruthy();
        expect(getByA11yLabel('Catalogue icon')).toBeTruthy();
        expect(getByA11yLabel('Ajout d\'une blague icon')).toBeTruthy();
        expect(getByA11yLabel('Favoris icon')).toBeTruthy();
        expect(getByA11yLabel('Parametres icon')).toBeTruthy();
    });
});
