import React from 'react';
import { render } from '@testing-library/react-native';
import StackNavigation from './StackNavigation';
import {describe, expect, it} from "@jest/globals";

describe('<StackNavigation />', () => {
    it('renders correctly', () => {
        const { getByText } = render(<StackNavigation />);

        expect(getByText('catalogue')).toBeTruthy();
        expect(getByText('JokeDetails')).toBeTruthy();

        const header = getByText('catalogue').parentNode;
        expect(header).toHaveStyle({
            backgroundColor: 'indigo',
        });

        const headerTitle = getByText('catalogue');
        expect(headerTitle).toHaveStyle({
            color: 'darksalmon',
            fontSize: 24,
            textAlign: 'center',
            paddingBottom: 30,
        });
    });
});
