import React from 'react';
import { render } from '@testing-library/react-native';
import HomeScreen, { themeSettings } from './HomeScreen';
import { Provider } from 'react-redux';
import store from '../redux/store';
import {describe, expect, it} from "@jest/globals";

describe('<HomeScreen />', () => {
    it('renders correctly', () => {
        const { getByText, getByTestId } = render(
            <Provider store={store}>
                <HomeScreen />
            </Provider>
        );

        expect(getByText('Chat C\'est Drole')).toBeTruthy();
        expect(getByText('Dernières blagues')).toBeTruthy();
        expect(getByText('Top Categories')).toBeTruthy();
        expect(getByTestId('jokes-home-square')).toBeTruthy();
        expect(getByTestId('categs')).toBeTruthy();
    });

});

describe('themeSettings()', () => {
    it('returns correct styles for light theme', () => {
        const theme = {
            colors: {
                background: 'white',
                text: 'black',
                border: 'grey',
            },
        };

        const styles = themeSettings(theme);
        expect(styles.container.backgroundColor).toBe('white');
        expect(styles.textAccueil.color).toBe('black');
        expect(styles.textLastJokes.color).toBe('grey');
    });

});
