import React from 'react';
import { render } from '@testing-library/react-native';
import JokeDetailsScreen, { themeSettings } from './JokeDetailsScreen';
import { Provider } from 'react-redux';
import store from '../redux/store';
import {describe, expect, it} from "@jest/globals";

describe('<JokeDetailsScreen />', () => {
    it('renders correctly for sample joke', () => {
        const mockRoute = {
            params: {
                idJoke: 1,
            },
        };

        const { getByTestId } = render(
            <Provider store={store}>
                <JokeDetailsScreen route={mockRoute} />
            </Provider>
        );

        expect(getByTestId('joke-detail')).toBeTruthy();
    });

    it('renders correctly for custom joke', () => {
        const mockRoute = {
            params: {
                idJoke: 1,
            },
        };

        const { getByTestId } = render(
            <Provider store={store}>
                <JokeDetailsScreen route={mockRoute} />
            </Provider>
        );

        expect(getByTestId('joke-detail')).toBeTruthy();
    });

});

describe('themeSettings()', () => {
    it('returns correct styles', () => {
        const theme = {
            colors: {
                background: 'white',
            },
        };

        const styles = themeSettings(theme);
        expect(styles.container.backgroundColor).toBe('white');
    });

});
